Main Page Widgets Namespaces Book

# Gtk::Item Class Reference
[Widgets]

Inheritance diagram for Gtk::Item:

[legend]

List of all members.

## Detailed Description

This class should be considered as a virtual base class.

Only the signals and methods it provides are of any interest. You don't want to instantiate any objects of that class.

## Public Member Functions

void | deselect ()
const GtkItem* | gobj () const
| Provides access to the underlying C GtkObject.
GtkItem* | gobj ()
| Provides access to the underlying C GtkObject.
void | select ()
Glib::SignalProxy0<void> | signal_deselect ()
Glib::SignalProxy0<void> | signal_select ()
Glib::SignalProxy0<void> | signal_toggle ()
void | toggle ()
virtual | ~Item ()

## Protected Member Functions

| Item ()
virtual void | on_deselect ()
virtual void | on_select ()
virtual void | on_toggle ()

## Related Functions

(Note that these are not member functions.)
Gtk::Item* | wrap (GtkItem* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::Item::~Item | ( |  | ) | `[virtual]`

Gtk::Item::Item | ( |  | ) | `[protected]`

## Member Function Documentation

void Gtk::Item::deselect | ( |  | ) |

Reimplemented in Gtk::MenuItem.

const GtkItem* Gtk::Item::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Bin.

Reimplemented in Gtk::CheckMenuItem, Gtk::ComboDropDownItem, Gtk::ImageMenuItem, Gtk::MenuItem, Gtk::RadioMenuItem, Gtk::SeparatorMenuItem, and Gtk::TearoffMenuItem.

GtkItem* Gtk::Item::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Bin.

Reimplemented in Gtk::CheckMenuItem, Gtk::ComboDropDownItem, Gtk::ImageMenuItem, Gtk::MenuItem, Gtk::RadioMenuItem, Gtk::SeparatorMenuItem, and Gtk::TearoffMenuItem.

virtual void Gtk::Item::on_deselect | ( |  | ) | `[protected, virtual]`

virtual void Gtk::Item::on_select | ( |  | ) | `[protected, virtual]`

virtual void Gtk::Item::on_toggle | ( |  | ) | `[protected, virtual]`

void Gtk::Item::select | ( |  | ) |

Reimplemented in Gtk::MenuItem.

Glib::SignalProxy0< void > Gtk::Item::signal_deselect | ( |  | ) |

Prototype:
  `void on_my_deselect()`

Glib::SignalProxy0< void > Gtk::Item::signal_select | ( |  | ) |

Prototype:
  `void on_my_select()`

Glib::SignalProxy0< void > Gtk::Item::signal_toggle | ( |  | ) |

Prototype:
  `void on_my_toggle()`

void Gtk::Item::toggle | ( |  | ) |

## Friends And Related Function Documentation

Gtk::Item* wrap | ( | GtkItem * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- item.h